| Nano100AN Series BSP V3.02.002 The Board Support Package for Nano100AN Series

Macros | Functions
EBI Exported Functions
NANO100 Device Driver » EBI Driver

## Macros
#define | EBI_READ_DATA8(Addr)
| Read one byte data from EBI. More...
#define | EBI_WRITE_DATA8(Addr, Data)
| Write one byte data to EBI. More...
#define | EBI_READ_DATA16(Addr)
| Read a half-word data from EBI. More...
#define | EBI_WRITE_DATA16(Addr, Data)
| Write a half-word data to EBI. More...
#define | EBI_READ_DATA32(Addr)
| Read a word data from EBI. More...
#define | EBI_WRITE_DATA32(Addr, Data)
| Write a word data to EBI. More...

## Functions
void | EBI_Open (uint32_t u32Bank, uint32_t u32DataWidth, uint32_t u32TimingClass, uint32_t u32BusMode, uint32_t u32CSActiveLevel)
| Initialize and enable EBI. More...
void | EBI_Close (uint8_t u32Bank)
| Disable EBI. More...
void | EBI_SetBusTiming (uint32_t u32Bank, uint32_t u32TimingConfig, uint32_t u32MclkDiv)
| Set EBI bus timings. More...

## Detailed Description

## Macro Definition Documentation

## ◆ EBI_READ_DATA16

#define EBI_READ_DATA16 | ( |  | Addr | ) |

Read a half-word data from EBI.

Parameters

  [in] | Addr | EBI offset address.

Returns
  Half-word data read from EBI.

Definition at line 102 of file ebi.h.

## ◆ EBI_READ_DATA32

#define EBI_READ_DATA32 | ( |  | Addr | ) |

Read a word data from EBI.

Parameters

  [in] | Addr | EBI offset address.

Returns
  Word data read from EBI.

Definition at line 119 of file ebi.h.

## ◆ EBI_READ_DATA8

#define EBI_READ_DATA8 | ( |  | Addr | ) |

Read one byte data from EBI.

Parameters

  [in] | Addr | EBI offset address.

Returns
  Byte data read from EBI.

Definition at line 85 of file ebi.h.

## ◆ EBI_WRITE_DATA16

#define EBI_WRITE_DATA16 | ( |  | Addr,
|  |  | Data
| ) |  |

Write a half-word data to EBI.

Parameters

  [in] | Addr | EBI offset address.
  [in] | Data | Half-word data to be written.

Returns
  None

Definition at line 111 of file ebi.h.

## ◆ EBI_WRITE_DATA32

#define EBI_WRITE_DATA32 | ( |  | Addr,
|  |  | Data
| ) |  |

Write a word data to EBI.

Parameters

  [in] | Addr | EBI offset address.
  [in] | Data | Word data to be written.

Returns
  None

Definition at line 128 of file ebi.h.

## ◆ EBI_WRITE_DATA8

#define EBI_WRITE_DATA8 | ( |  | Addr,
|  |  | Data
| ) |  |

Write one byte data to EBI.

Parameters

  [in] | Addr | EBI offset address.
  [in] | Data | Byte data to be written.

Returns
  None

Definition at line 94 of file ebi.h.

## Function Documentation

## ◆ EBI_Close()

void EBI_Close | ( | uint8_t | u32Bank | ) |

Disable EBI.

Parameters

  [in] | u32Bank | argument is reserved in NANO100 series.

Returns
  none

Definition at line 122 of file ebi.c.

## ◆ EBI_Open()

void EBI_Open | ( | uint32_t | u32Bank,
|  | uint32_t | u32DataWidth,
|  | uint32_t | u32TimingClass,
|  | uint32_t | u32BusMode,
|  | uint32_t | u32CSActiveLevel
| ) |  |

Initialize and enable EBI.

Parameters

  [in] | u32Bank | argument is reserved in NANO100 series.
  [in] | u32DataWidth | Data bus width. Valid values are: EBI_BUSWIDTH_8BIT EBI_BUSWIDTH_16BIT
  [in] | u32TimingClass | Default timing configuration. Valid values are: EBI_TIMING_FASTEST EBI_TIMING_VERYFAST EBI_TIMING_FAST EBI_TIMING_NORMAL EBI_TIMING_SLOW EBI_TIMING_VERYSLOW EBI_TIMING_SLOWEST
  [in] | u32BusMode | argument is reserved in NANO100 series.
  [in] | u32CSActiveLevel | argument is reserved in NANO100 series.

Returns
  none

Definition at line 47 of file ebi.c.

## ◆ EBI_SetBusTiming()

void EBI_SetBusTiming | ( | uint32_t | u32Bank,
|  | uint32_t | u32TimingConfig,
|  | uint32_t | u32MclkDiv
| ) |  |

Set EBI bus timings.

Parameters

  [in] | u32Bank | argument is reserved in NANO100 series.
  [in] | u32TimingConfig | The new EBI timing settings. This value will be written to EXTIME register.
  [in] | u32MclkDiv | Divider for MCLK. Valid values are: EBI_MCLKDIV_1 EBI_MCLKDIV_2 EBI_MCLKDIV_4 EBI_MCLKDIV_8 EBI_MCLKDIV_16 EBI_MCLKDIV_32

Returns
  none

Definition at line 141 of file ebi.c.